Skip to main content
POST
/
retrieve
curl --request POST \
  --url https://{VM_IP_ADDRESS}:{PORT}/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userQuery": "How many users signed up last month?",
  "knownData": {
    "user_id": "12345",
    "company_name": "Acme Corp"
  }
}
'
{
  "__type__": "retrieveResponse",
  "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data": [
    {
      "__type__": "schemaData",
      "schemaId": "<string>",
      "schemaType": "SQLite",
      "query": "<string>",
      "rows": [
        {}
      ],
      "querySummary": {
        "technical_details": "<string>",
        "non_technical_explanation": "<string>"
      },
      "rowMax": 123,
      "isTrimmed": true,
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "responseStatus": "SUCCESS"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API token provided by the Snow Leopard team during deployment setup.

Body

application/json
userQuery
string
required

Natural language query to execute against your dataset

Example:

"How many users signed up last month?"

knownData
object

Optional key-value pairs to provide additional context for Snow Leopard to use when answering the question.

Example:
{
"user_id": "12345",
"company_name": "Acme Corp"
}

Response

Successful query execution

__type__
enum<string>
required

Type discriminator

Available options:
retrieveResponse
callId
string<uuid>
required

Unique identifier for this API call

data
(schemaData · object | errorSchemaData · object)[]
required

Array of query results or errors

responseStatus
enum<string>
required

Status of the API response

Available options:
SUCCESS